Project

General

Profile

HOWTO configure sparc-rtems-gcc

Télécharger l'archive sparc-rtems-4.10-gcc sur le site de Gaisler (http://www.gaisler.com/anonftp/rcc/bin/linux/)

sparc-rtems-4.10-gcc-4.4.6-1.2.18-linux.tar.bz2

Décompresser l'archive dans le répertoire /opt

Ajouter le path vers le répertoire contenant sparc-rtems-gcc dans le fichier .bash_profile contenu dans le répertoire HOME de l'utilisateur: /opt/rtems-4.10/bin

Quelques étapes complémentaires sont nécessaires pour le bon fonctionnement du compilateur. En effet, les bibliothèques appelées par sparc-rtems-gcc ne sont pas les dernières versions disponibles dans les paquets fedora officiels. Il faut donc procéder:
  • soit par installation de paquets -comp, ou d'anciens paquets contenant les bibliothèques
  • soit en créant des liens symboliques avec des noms appropriés et les faire pointer vers les versions récentes des bibliothèques

Il semblerait qu'il ne faille plus installer Qt4, notamment le paquet qt-devel pour que la configuration sparc-rtems-gcc/Qt fonctionne correctement.

Il faut installer la glibc en 32 bits pour que sparc-rtems-fonctionne.

Le dépôt DEV_PLE ayant été cloné, ouvrir le projet fsw-qt.pro et tenter une compilation. Relever les erreurs qui ne manqueront pas de survenir et appliquer selon les besoins les actions suivantes:

libmpfr.so.1 => installer le paquet libmpc en 32 bits
Dans le répertoire /usr/bin, créer les liens suivants:
ln -s libmpfr.so.4 libmpfr.so.1 (réclamé par sparc-rtems-gcc)

libgmp.so.1 => installer le paquet libgmp en 32 bits
Dans le répertoire /usr/bin, créer les liens suivants:
ln -s libgmp.so.10 libgmp.so.3 (réclamé par spar-rtems-gcc)

libz.so.1 => installer le paquet libz en 32 bits (sous Fedora 23, ça suffit à résoudre le problème de dépendance de sparc-rtems)

Une fois tout ceci effectué, la compilation du projet fsw-qt.pro doit fonctionner sans erreur ni warning.

Also available in: PDF HTML TXT